Public Member Functions | Public Attributes | List of all members
ReadySetGoParserInternal::Layout Struct Reference

Internal: a layout in a ReadySetGoParser document. More...

## Public Member Functions
| Layout ()
| constructor More...

## Public Attributes
bool | m_useMasterPage
| a flag to know if we use or not the master page More...
std::vector< Shape > | m_shapes
| a map id to shape More...

## Detailed Description

Internal: a layout in a ReadySetGoParser document.

## Constructor & Destructor Documentation

## ◆ Layout()

ReadySetGoParserInternal::Layout::Layout | ( |  | ) |
| inline

constructor

## Member Data Documentation

## ◆ m_shapes

std::vector<Shape> ReadySetGoParserInternal::Layout::m_shapes

a map id to shape

Referenced by ReadySetGoParser::readShapeV2(), and ReadySetGoParser::readShapeV3().

## ◆ m_useMasterPage

bool ReadySetGoParserInternal::Layout::m_useMasterPage

a flag to know if we use or not the master page

The documentation for this struct was generated from the following file:

- ReadySetGoParser.cxx